/*
 * 全局信息配置
 * Author:wangqy
 * Date:2018-1-23 18:53
 */

//项目全局配置
var globel={
	// ctx:'http://192.168.2.130:8080/bbohu/',
	ctx:'http://online.sanfangzx.com/',
    token: sessionStorage.getItem("token")
}

//项目请求url配置
var apiconfig={
	bill:'f/store/api/bill/billList',//查询账单
	delBill:'f/store/api/bill/delBill',//删除账单
	getBillDetail:'f/store/api/bill/getBillDetail',//查询账单详情
	login:"f/store/api/login",//登录
	resetPassword:'f/store/api/editPwd',//修改密码
	obtain:'f/store/api/getUser',//获取个人信息
	productControl:"f/store/api/product/productControl",//查询产品列表
	searchVip:"f/store/api/searchVip",//查询VIP信息
	searchVipType:"f/store/api/searchVipType",//查询VIP信息
	searchStoreService:"f/store/api/searchStoreService",//查询门店服务项
	searchGoods:"f/store/api/searchGoods",//查询门店商品
	searchStoreEmployee:"f/store/api/searchStoreEmployee",//查询门店服务项
	reservation:"f/store/api/reservation", //店铺预约
	staffManages:'f/store/api/saveStaff',//保存员工
	deleteStaff:'f/store/api/deleteStaff',//删除员工
	getUpSetting:"f/store/api/getUpSetting",
	staffList:"f/store/api/staffList",//员工列表
	todayreseRvation:"f/store/api/todayreseRvation",//今天预约查询
	search:"f/store/api/search",//预约搜索
	entertain:"f/store/api/entertain",//客户接待
	cancel:"f/store/api/cancel",//取消预约
	delservation:"f/store/api/delservation",//删除预约
	productTpye:'f/store/api/product/productType',//产品类型
	standards:'f/store/api/product/standards',//产品规格
	delProduct:'f/store/api/product/delProduct',//删除产品
	saveProduct:'f/store/api/product/saveProduct',//保存商品
	goodsCommission:"f/store/api/goodsCommission",//商品提成列表
	storeServiceItemList:"f/store/api/storeServiceItem",//服务提成列表
	upSettings:"f/store/api/upSetting",//职位提成列表（服务提成）
	goodsCommissionSave:"f/store/api/goodsSave",//商品提成保存
	serviceSave:"f/store/api/serviceSave",//服务提成保存
	todayreseRvation:"f/store/api/todayreseRvation",//今天预约查询
	saveAppointment:"f/store/api/saveAppointment",//保存预约
	saveCollect:"f/store/api/saveCollect",//结账
	findIdea:"f/store/api/findIdea",//店铺评论
	selectHomeData:"f/store/api/selectHomeData"//首页头汇总数据
}

//项目html路径配置
var htmlconfig={
	bill:"bill.html",//账单
	billDetail:"billDetail.html",//账单详情
	myExecute:"myExecute.html",//客户预约
	staffManages:"staffManages.html",  //添加员工
	staffList:"staffList.html" , //员工列表
	commissionList:"commissionList.html",  //商品提成列表
	commissionSet:"commissionSet.html",//商品提成设置
	serviceList:"serviceList.html",  //服务提成列表
	serviceSet:"serviceSet.html",//服务提成设置
	addProduct:"productLaunch.html",//产品管理
	forgetPassword:'../forget_password.html',//找回密码
	gywm_url:"gywm.html",//关于我们
	index:"index.html",//首页
	login:"login.html",
	mine:"mine.html",//个人中心
	selectItem:"selectItem.html",//产品品类列表
	productControl:"productControl.html",//产品列表
	evaluateManager:"../html/evaluationManage.html",//评价管理
	addOrderInfo:"addOrderInfo.html" //添加预约
}

var wxshare={
	    
}


var vm = new Vue({
  el: '#AppMain',
  data: {
     htmlconfig:htmlconfig
  }
});

//定义空对象用于数据传递
var message_model={
	imageUrl:''
};

//获取地址栏参数
function GetQueryString(name){
     var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");
     var r = window.location.search.substr(1).match(reg);
     if(r!=null)return  decodeURI(r[2]); 
     return null;
}

Vue.prototype.successLoadImg = function(event) {
    if (event.target.complete == true) {
       // imgCenterByObj(event.target);
    }
};
		
Vue.prototype.errorLoadImg = function(event) {
  event.target.classList.add("default-image");;
};

function getItem(key){
	return plus.storage.getItem(key);
}

function setItem(key,value){
	plus.storage.setItem(key,value);
}

function removeItem(key){
	plus.storage.removeItem(key);
}

function clearItems(){
	plus.storage.clear();
}

/*验证车牌号*/
function isVehicleNumber(vehicleNumber) {
	var result = false;
	if (vehicleNumber.length == 7){
    var express = /^[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[A-Z]{1}[A-Z0-9]{4}[A-Z0-9挂学警港澳]{1}$/;
    	result = express.test(vehicleNumber);
    }
    return result;
}
/*验证车牌号end*/